SVNXMLLogHandler (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.xml.SVNXMLLogHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLLogHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
          org.tmatesoft.svn.core.wc.xml.SVNXMLLogHandler

All Implemented Interfaces:
  ISVNLogEntryHandler, Locator

public class SVNXMLLogHandler
extends AbstractXMLHandler
implements ISVNLogEntryHandler

This log handler implementation writes xml formatted information about the log entries it's passed to a specified ContentHandler.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary
`static String` | `ACTION_ATTR` `'action'` attribute.
`static String` | `AUTHOR_TAG` `'author'` tag.
`static String` | `COPYFROM_PATH_ATTR` `'copyfrom-path'` attribute.
`static String` | `COPYFROM_REV_ATTR` `'copyfrom-rev'` attribute.
`static String` | `DATE_TAG` `'date'` tag.
`static String` | `LOG_TAG` `'log'` tag.
`static String` | `LOGENTRY_TAG` `'logentry'` tag.
`static String` | `MSG_TAG` `'msg'` tag.
`static String` | `PATH_TAG` `'path'` tag.
`static String` | `PATHS_TAG` `'paths'` tag.
`static String` | `REVISION_ATTR` `'revision'` attribute.

Constructor Summary
`SVNXMLLogHandler(ContentHandler contentHandler)` Creates a new log handler.
`SVNXMLLogHandler(ContentHandler contentHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new log handler.

Method Summary
`String` | `getHeaderName()` Returns the header name specific for a log handler.
`void` | `handleLogEntry(SVNLogEntry logEntry)` Handles a next log entry producing corresponding xml.
`void` | `setOmitLogMessage(boolean omitLogMessage)` Sets whether log messages must be omitted or not.

Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
`addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYFROM_REV_ATTR

    public static final String COPYFROM_REV_ATTR

  `'copyfrom-rev'` attribute.

  See Also:
    Constant Field Values

### COPYFROM_PATH_ATTR

    public static final String COPYFROM_PATH_ATTR

  `'copyfrom-path'` attribute.

  See Also:
    Constant Field Values

### ACTION_ATTR

    public static final String ACTION_ATTR

  `'action'` attribute.

  See Also:
    Constant Field Values

### REVISION_ATTR

    public static final String REVISION_ATTR

  `'revision'` attribute.

  See Also:
    Constant Field Values

### MSG_TAG

    public static final String MSG_TAG

  `'msg'` tag.

  See Also:
    Constant Field Values

### PATH_TAG

    public static final String PATH_TAG

  `'path'` tag.

  See Also:
    Constant Field Values

### PATHS_TAG

    public static final String PATHS_TAG

  `'paths'` tag.

  See Also:
    Constant Field Values

### DATE_TAG

    public static final String DATE_TAG

  `'date'` tag.

  See Also:
    Constant Field Values

### AUTHOR_TAG

    public static final String AUTHOR_TAG

  `'author'` tag.

  See Also:
    Constant Field Values

### LOGENTRY_TAG

    public static final String LOGENTRY_TAG

  `'logentry'` tag.

  See Also:
    Constant Field Values

### LOG_TAG

    public static final String LOG_TAG

  `'log'` tag.

  See Also:
    Constant Field Values

Constructor Detail

### SVNXMLLogHandler

    public SVNXMLLogHandler(ContentHandler contentHandler)

  Creates a new log handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree

### SVNXMLLogHandler

    public SVNXMLLogHandler(ContentHandler contentHandler,
                            org.tmatesoft.svn.util.ISVNDebugLog log)

  Creates a new log handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree
  `log` - a debug logger

Method Detail

### getHeaderName

    public String getHeaderName()

  Returns the header name specific for a log handler.

  Specified by:
    `getHeaderName` in class `AbstractXMLHandler`
  Returns:
    `LOG_TAG` string

### handleLogEntry

    public void handleLogEntry(SVNLogEntry logEntry)
                        throws SVNException

  Handles a next log entry producing corresponding xml.

  Specified by:
    `handleLogEntry` in interface `ISVNLogEntryHandler`
  Parameters:
    `logEntry` - log entry
  Throws:
    `SVNException`

### setOmitLogMessage

    public void setOmitLogMessage(boolean omitLogMessage)

  Sets whether log messages must be omitted or not.

  Parameters:
    `omitLogMessage` - true to omit; otherwise false

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.